%define name xmms-jack
%define version 0.19
%define release %mkrel 4
%define jackversion 0.34.0

Summary: Xmms output plugin for the jack sound server
Name: %{name}
Version: %{version}
Epoch: 1
Release: %{release}
Source0: http://prdownloads.sourceforge.net/xmms-jack/%{name}-%{version}.tar.bz2
Patch: xmms-jack-0.15-audacious.patch
URL: http://sourceforge.net/projects/xmms-jack
License: GPL
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libxmms-devel
BuildRequires: libjack-devel >= %jackversion
BuildRequires: libsamplerate-devel
BuildRequires: automake1.9
Requires: jackit  >= %jackversion
Requires: xmms

%description
XMMS audio output plugin for the jack audio
server(http://jackit.sourceforge.net).


%prep
%setup -q -n %name
%patch -p1
rm -f config.cache

%build
%configure2_5x
%make
mv .libs/libjackout.so libxmmsjackout.so


%install
rm -rf $RPM_BUILD_ROOT
install -m 755 -D libxmmsjackout.so %buildroot%_libdir/xmms/Output/libjackout.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README NEWS AUTHORS ChangeLog
%_libdir/xmms/Output/libjackout.so




%changelog
* Sun Aug 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:0.19-4mdv2009.0
+ Revision: 262564
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:0.19-3mdv2009.0
+ Revision: 257359
- rebuild
- fix spacing at top of description

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1:0.19-1mdv2008.1
+ Revision: 130375
- kill re-definition of %%buildroot on Pixel's request

* Sun Jun 10 2007 Götz Waschk <waschk@mandriva.org> 1:0.19-1mdv2008.0
+ Revision: 37906
- new version


* Thu Jan 25 2007 Götz Waschk <waschk@mandriva.org> 0.17-2mdv2007.0
+ Revision: 113185
- Import xmms-jack

* Thu Jan 25 2007 Gtz Waschk <waschk@mandriva.org> 0.17-2mdv2007.1
- unpack patch

* Sun Jun 18 2006 Götz Waschk <waschk@mandriva.org> 1:0.17-1mdv2007.0
- New release 0.17

* Mon Feb 13 2006 Gtz Waschk <waschk@mandriva.org> 0.16-2mdk
- fix buildrequires

* Mon Feb 13 2006 Götz Waschk <waschk@mandriva.org> 0.16-1mdk
- New release 0.16

* Mon Jan 16 2006 Gtz Waschk <waschk@mandriva.org> 0.15-4mdk
- drop audacious plugin

* Fri Dec 02 2005 Gtz Waschk <waschk@mandriva.org> 0.15-3mdk
- replace bmp by audacious

* Tue Nov 08 2005 Gtz Waschk <waschk@mandriva.org> 0.15-2mdk
- fix buildrequires

* Tue Nov 08 2005 Gtz Waschk <waschk@mandriva.org> 0.15-1mdk
- drop patch
- New release 0.15

* Thu Oct 06 2005 Gtz Waschk <waschk@mandriva.org> 1:0.14-3mdk
- fix the patch

* Wed May 11 2005 Gtz Waschk <waschk@mandriva.org> 0.14-2mdk
- fix build on x86_64

* Tue Apr 19 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.14-1mdk
- update the patch
- New release 0.14

* Mon Apr 11 2005 Gtz Waschk <waschk@linux-mandrake.com> 1:0.13-1mdk
- enable beep-media-player support
- New release 0.13

* Sat Mar 26 2005 Götz Waschk <waschk@linux-mandrake.com> 0.12-1mdk
- New release 0.12

* Tue Nov 30 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.11-1mdk
- New release 0.11

* Tue Sep 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.10-1mdk
- add source URL
- reenable libtoolize
- New release 0.10

* Sat Apr 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9-1mdk
- new version

* Wed Feb 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-2mdk
- fix the changelog

* Wed Feb 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-1mdk
- new version

* Sat Feb 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-1mdk
- new version

